<?php
/*
Plugin Name: Adressen Editor
Plugin URI: http://localhost/wordpress/wp-content/plugins/AdressenEditor
Description: Ändern von Mitglieder-Adressdaten auf der Datenbank
Version: 1.0
Author: Evi Leu
Author URI: http://www.evileu.de
*/
add_action('admin_menu', 'AdressenEditorMenu');

function AdressenEditorMenu() {
$appName = 'Adressen Editor';
$appID = 'adressen-editor';
add_menu_page($appName, $appName, 'administrator', $appID, 'pluginAdressenEditor');
}


function pluginAdressenEditor() {
	
	/*****Haupttabelle Name als Konstante definieren*******/
		define("MAINTABLE","mitglieder_stamm");
		
	echo "<h1>Adressen Editor</h1>";
			
//Begin Formular
echo '<form method="post">';
echo 'Mitgliedsnummer: <input type="text" name="m_nr" /></br>';
echo '<input type="submit" name = "senden" value="Abschicken"/>'."<br>";
echo "</form>";
// End Formular

if (isset($_POST['senden']))
{

	$akt_m_nr = $_POST['m_nr'];
	
	global $wpdb;
		$alleposts = $wpdb->get_results( "SELECT * from ".MAINTABLE." where ID = ".$akt_m_nr."");
		
echo "<div style = 'border: 3px solid blue; padding: 10px; display: inline-block'>";
	
//Eine Zeile pro Datensatz ausgeben
foreach ( $alleposts as $einpost ) { 	
	
//Begin Formular
echo '<form method="post">';

		
		echo 'ID: &nbsp'.$einpost->id.'<input type="text" name="id" value = "'.$einpost->id.'" hidden/></br>';
		echo 'Vorname: <input type="text" name="vorname" value = "'.$einpost->vorname.'"/></br>';
		echo 'Nachname: <input type="text" name="nachname" value = "'.$einpost->nachname.'"></br>';
		echo 'E-Mail: <input type="text" size="50" name="your_email" value = "'.$einpost->your_email.'"></br>';
		echo 'Telefon: <input type="text" name="telefon" value = "'.$einpost->telefon.'"></br>';
		echo 'PLZ: <input type="text" name="plz" value = "'.$einpost->plz.'"></br>';
		echo 'Ort: <input type="text" name="ort" value = "'.$einpost->ort.'"></br>';
		echo 'Strasse Hsnr.: <input type="text" size="50" name="strassehausnummer" value = "'.$einpost->strassehausnummer.'"></br><br>';
		
		
		
echo '<input type="submit" name = "speichern" value="Änderungen speichern"/>'."<br>";

echo '</form>';
// End Formular
	
} //end foreach
	
echo "</div>";
	
} //end if isset post senden

if (isset($_POST['speichern'])){
	
	
	$ID = $_POST['id'];
	$neu_vorname = $_POST['vorname'];
	$neu_nachname = $_POST['nachname'];
	$neu_your_email = $_POST['your_email'];
	
	global $wpdb;
	
	$speichern=$wpdb->update(
    ''.MAINTABLE.'',
    array(
        'vorname' => $neu_vorname,  // string
        'nachname' => $neu_nachname, //string
		'your_email' => $neu_your_email //string
    ),
    array( 'id' => $ID ),
    array(
        '%s',  	// value1
        '%s',	// value2
		'%s'	// value3
    ),
    array( '%d' )
);
	
	echo "<h1>Änderungen gespeichert</h1>";
	echo $speichern."&nbsp Datensätze geändert";
} //ende von if isset post speichern
		
		
}
?>